#!/usr/bin/perl -w
use strict;
use Test::More tests => 6;

use_ok 'SQL::Abstract::Clauses';

my $s = SQL::Abstract::Clauses->new();
isa_ok( $s, 'SQL::Abstract::Clauses' );

my ($sql,@bind) = $s->group( 'col_count' );

my $target = <<SQL;
GROUP BY col_count
SQL

s!\s+! !gsm
  for $sql, $target;

s!\s+$!!gsm
  for $sql, $target;

is $sql, $target, "We generated the expected SQL";

is_deeply \@bind, [], "SQL parameters are correct";

($sql,@bind) = $s->group( [qw[ a b c ]] );

$target = <<SQL;
GROUP BY a, b, c
SQL

s!\s+! !gsm
  for $sql, $target;

s!\s+$!!gsm
  for $sql, $target;

is $sql, $target, "We generated the expected SQL";

is_deeply \@bind, [], "SQL parameters are correct";
